	application:setFps(30)
	application:setOrientation("landscapeLeft")
	application:setScaleMode("noScale")
	application:setBackgroundColor(0x000000)
	application:setKeepAwake(true)
	
	fps = TextField.new(nil, "tap once after avr.fps is displayed!")	
	fps:setTextColor(0xFFFFFF)
	fps:setPosition(100,620)
	fps:setScale(4)
	local math_random=math.random
	local math_sqrt=math.sqrt
	
	verticalscale=15
	load = 75
	
	grLoad=false  --- graphic or math load
	
if grLoad then 	
	local radartext  = Texture.new("big_antenna.png",true)
	radars={}	
	for i=1,20*load,30 do
		for j=0,29 do
			radars[i+j]=Bitmap.new(radartext)
			radars[i+j]:setAnchorPoint(0.5,0.5)
			radars[i+j]:setScale(1)
			radars[i+j]:setPosition(j*30,i*2+50)
			stage:addChild(radars[i+j])
		end
	end
else

			radar = Bitmap.new(Texture.new("big_antenna.png",true))
			radar:setAnchorPoint(0.5,0.5)
			radar:setScale(4)
			radar:setPosition(480,320)
			stage:addChild(radar)
end

	cpuGraph=Shape.new()
	cpuGraph:setLineStyle(2,0xFFFFFF)
	cpuGraph:beginPath()
	cpuGraph:moveTo(0,640-verticalscale*application:getFps())
	
function mouseDown(e)
	cpuGraph:endPath()
	stage:addChild(cpuGraph)
end
 cnt=0
 cfp=0
 angle=0
local function displayFps(e)
	
	if grLoad then
		graphicLoad()
	else
		mathLoad()
	end
	
	if e.deltaTime>0 then
		if cnt <480 then
			cnt=cnt+1
			cfp=cfp+e.deltaTime
			cpuGraph:lineTo(cnt*2,640-verticalscale/e.deltaTime)
		else
			fps:setText("avr.fps:"..(480/cfp))
		end
	end
end

function graphicLoad()
	if angle >= 360 then angle=0 else angle=angle+1 end
	for i= 1, #radars do
		radars[i]:setRotation(angle)
	end
end

function mathLoad()
	if angle >= 360 then angle=0 else angle=angle+2 end
	radar:setRotation(angle)
	for i = 1, 300*load do
	 local result=math_sqrt(math_random(1000))
	end
end

stage:addEventListener(Event.MOUSE_DOWN,mouseDown)
stage:addEventListener(Event.ENTER_FRAME,displayFps) 
stage:addChild(fps)
